Bug 139059

Summary: [CSS Grid Layout] Tracks shrink sometimes with indefinite remaining space
Product: WebKit Reporter: Sergio Villar Senin <svillar>
Component: New BugsAssignee: Sergio Villar Senin <svillar>
Status: RESOLVED FIXED    
Severity: Normal CC: benjamin, commit-queue, darin, dino, esprehn+autocc, glenn, jfernandez, kling, koivisto, kondapallykalyan, ossy, rego
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on: 140546    
Bug Blocks: 60731, 139058    
Attachments:
Description Flags
Patch hyatt: review+

Description Sergio Villar Senin 2014-11-26 04:10:34 PST
[CSS Grid Layout] Tracks shrink sometimes with indefinite remaining space
Comment 1 Sergio Villar Senin 2014-11-26 05:48:58 PST
Created attachment 242224 [details]
Patch
Comment 2 Sergio Villar Senin 2015-01-14 06:10:32 PST
ping reviewers...
Comment 3 Dave Hyatt 2015-01-15 09:12:43 PST
Comment on attachment 242224 [details]
Patch

r=me
Comment 4 Sergio Villar Senin 2015-01-16 02:22:49 PST
Committed r178577: <http://trac.webkit.org/changeset/178577>
Comment 5 Csaba Osztrogon√°c 2015-01-16 06:59:57 PST
(In reply to comment #4)
> Committed r178577: <http://trac.webkit.org/changeset/178577>

It made fast/css-grid-layout/grid-content-sized-columns-resolution.html fail.
Comment 6 Alexey Proskuryakov 2015-01-16 10:31:39 PST
-PASS window.getComputedStyle(gridAutoAndFixedFixedAndMaxContentFixed, '').getPropertyValue('-webkit-grid-template-columns') is "70px 20px 60px"
+FAIL window.getComputedStyle(gridAutoAndFixedFixedAndMaxContentFixed, '').getPropertyValue('-webkit-grid-template-columns') should be 70px 20px 60px. Was 40px 20px 90px.

Will roll out.
Comment 7 WebKit Commit Bot 2015-01-16 10:33:34 PST
Re-opened since this is blocked by bug 140546
Comment 8 Sergio Villar Senin 2015-01-19 01:44:26 PST
Committed r178642: <http://trac.webkit.org/changeset/178642>
Comment 9 Sergio Villar Senin 2015-01-19 01:45:44 PST
(In reply to comment #6)
> -PASS window.getComputedStyle(gridAutoAndFixedFixedAndMaxContentFixed,
> '').getPropertyValue('-webkit-grid-template-columns') is "70px 20px 60px"
> +FAIL window.getComputedStyle(gridAutoAndFixedFixedAndMaxContentFixed,
> '').getPropertyValue('-webkit-grid-template-columns') should be 70px 20px
> 60px. Was 40px 20px 90px.
> 
> Will roll out.

Thanks for taking care of this.

I somehow committed a different patch than the one I had previously uploaded for review, perhaps I messed up something while rebasing.